Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » U++ TheIDE » U++ TheIDE: Compiling, Linking, Debugging of your packages » last incompability with c++11: exceptions
last incompability with c++11: exceptions [message #48850] Thu, 12 October 2017 08:55
piotr5 is currently offline  piotr5
Messages: 101
Registered: November 2005
Experienced Member
in my build options I have set -Wno-deprecated since I get a lot of warnings about throw(Error):
warning: dynamic exception specifications are deprecated in C++11 [-Wdeprecated]

and this deprecated feature has become an error in c++17! please fix this before c++17 is released... Smile
Previous Topic: BUG: Problem linking/running with static library
Next Topic: TheIDE is always stripping debug info in Release configuration with GCC
Goto Forum:
  


Current Time: Thu Nov 21 22:24:38 CET 2019

Total time taken to generate the page: 0.00971 seconds